Bug 70722 - squid initscript has wrong error handling
squid initscript has wrong error handling
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 11:14 EDT by Peter van Egdom
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-30 11:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-04 11:14:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
Running "squid start" as a normal user :

[peterve@limbo-pc init.d]$ ./squid start
init_cache_dir /var/spool/squid... Starting squid: ./squid: line 65: [: 0: unary
operator expected
../squid: line 65: [: 1: unary operator expected
../squid: line 65: [: 2: unary operator expected
../squid: line 65: [: 3: unary operator expected
../squid: line 65: [: 4: unary operator expected
../squid: line 65: [: 5: unary operator expected
../squid: line 65: [: 6: unary operator expected
../squid: line 65: [: 7: unary operator expected
../squid: line 65: [: 8: unary operator expected
../squid: line 65: [: 9: unary operator expected
../squid: line 65: [: 10: unary operator expected
../squid: line 65: [: 11: unary operator expected
../squid: line 65: [: 12: unary operator expected
../squid: line 65: [: 13: unary operator expected
../squid: line 65: [: 14: unary operator expected
../squid: line 65: [: 15: unary operator expected
../squid: line 65: [: 16: unary operator expected
../squid: line 65: [: 17: unary operator expected
../squid: line 65: [: 18: unary operator expected
../squid: line 65: [: 19: unary operator expected
../squid: line 65: [: 20: unary operator expected
../squid: line 65: [: 21: unary operator expected
../squid: line 65: [: 22: unary operator expected
../squid: line 65: [: 23: unary operator expected
../squid: line 65: [: 24: unary operator expected
../squid: line 65: [: 25: unary operator expected
../squid: line 65: [: 26: unary operator expected
../squid: line 65: [: 27: unary operator expected
../squid: line 65: [: 28: unary operator expected
../squid: line 65: [: 29: unary operator expected
../squid: line 65: [: 30: unary operator expected
../squid: line 65: [: 31: unary operator expected

<SNIP> this goes on- and on- and on- and on-

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "squid start" as normal user
2.
3.
	

Actual Results:
[peterve@limbo-pc init.d]$ ./squid start
init_cache_dir /var/spool/squid... Starting squid: ./squid: line 65: [: 0: unary
operator expected
../squid: line 65: [: 1: unary operator expected
../squid: line 65: [: 2: unary operator expected
../squid: line 65: [: 3: unary operator expected
../squid: line 65: [: 4: unary operator expected
../squid: line 65: [: 5: unary operator expected
../squid: line 65: [: 6: unary operator expected
../squid: line 65: [: 7: unary operator expected
../squid: line 65: [: 8: unary operator expected
../squid: line 65: [: 9: unary operator expected
../squid: line 65: [: 10: unary operator expected
../squid: line 65: [: 11: unary operator expected
../squid: line 65: [: 12: unary operator expected
../squid: line 65: [: 13: unary operator expected
../squid: line 65: [: 14: unary operator expected
../squid: line 65: [: 15: unary operator expected
../squid: line 65: [: 16: unary operator expected
../squid: line 65: [: 17: unary operator expected
../squid: line 65: [: 18: unary operator expected
../squid: line 65: [: 19: unary operator expected
../squid: line 65: [: 20: unary operator expected
../squid: line 65: [: 21: unary operator expected
../squid: line 65: [: 22: unary operator expected
../squid: line 65: [: 23: unary operator expected
../squid: line 65: [: 24: unary operator expected
../squid: line 65: [: 25: unary operator expected
../squid: line 65: [: 26: unary operator expected
../squid: line 65: [: 27: unary operator expected
../squid: line 65: [: 28: unary operator expected
../squid: line 65: [: 29: unary operator expected
../squid: line 65: [: 30: unary operator expected
../squid: line 65: [: 31: unary operator expected
../squid: line 65: [: 32: unary operator expected
../squid: line 65: [: 33: unary operator expected
../squid: line 65: [: 34: unary operator expected

<SNIP>

Expected Results:
[peterve@limbo-pc init.d]$ ./squid start
need root permissions to start squid        [FAILED]

(or something similar) :-)

Additional info:

Source RPM: squid-2.4.STABLE7-2.src.rpm

Note You need to log in before you can comment on or make changes to this bug.